using Office2016InspiredApplication.Appearance;
using Office2016InspiredApplication.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Office2016InspiredApplication
{
    /// <summary>
    /// Interaction logic for RibbonView.xaml
    /// </summary>
    public partial class RibbonViewControl : UserControl
    {
        public RibbonViewControl()
        {
            InitializeComponent();
            switch (MainViewModel.SelectedColorVariation)
            {
                case Office2016ColorVariations.Colorful:
                    Office2016Palette.Palette.BackstageBackground = Colors.Red;
                    break;
                case Office2016ColorVariations.White:
                    Office2016Palette.Palette.BackstageBackground = Colors.White;
                    break;
                case Office2016ColorVariations.Dark:
                    Office2016Palette.Palette.BackstageBackground = Colors.Blue;
                    break;
                default:
                    break;
            }
        }
    }
}
